tigase.jaxmpp.core.client.xmpp.modules

## Interface SessionEstablishmentModule.SessionEstablishmentErrorHandler

- All Superinterfaces:
    EventHandler
  Enclosing class:
    SessionEstablishmentModule

      public static interface SessionEstablishmentModule.SessionEstablishmentErrorHandler
      extends EventHandler

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `SessionEstablishmentModule.SessionEstablishmentErrorHandler.SessionEstablishmentErrorEvent`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onSessionEstablishmentError(SessionObject sessionObject, XMPPException.ErrorCondition error)`

- - ### Method Detail

    - #### onSessionEstablishmentError

          void onSessionEstablishmentError(SessionObject sessionObject,
                                           XMPPException.ErrorCondition error)
                                    throws JaxmppException

      Throws:
        `JaxmppException`

Copyright © 2006–2020 Tigase. All rights reserved.